package com.ruoyi.common.constant;

import java.util.LinkedHashMap;
import java.util.Map;

public class HighValue {
	
	
//	1 ：战略性新兴产业的有效发明专利	
//	3 ：维持年限超10年的有效发明专利	
//	2 ：在海外有同族专利权的有效发明专利	
//	4 ：获得较高质押融资金额的有效发明专利	
//	5 ：获得国家科技奖或中国专利奖的有效发明专利
	
	private String typeId;
	private String typeName;
	
	public static Map<String,HighValue>ALL=new LinkedHashMap<String,HighValue>();
	
	
//	IME 企业  OT 机关团体  PE 个人SRI科研机构 UC 大专院校   OTH 其他
//	后续提供全量，之前提供的只有一万
	public static HighValue SEIS=new HighValue("1","战略性新兴产业的有效发明专利");//seis
//	public static HighValue KEEP_10_YEARS =new HighValue("2","维持年限超10年的有效发明专利");//keep_10_years
//	public static HighValue HAVE_OVERSEAS =new HighValue("3","在海外有同族专利权的有效发明专利");//have_overseas
	
	//TODO	20230708 修改类型
	public static HighValue HAVE_OVERSEAS =new HighValue("2","在海外有同族专利权的有效发明专利");//have_overseas
	public static HighValue KEEP_10_YEARS =new HighValue("3","维持年限超10年的有效发明专利");//keep_10_years

//	获得较高质押融资金额
	public static HighValue HIGH_PLEDGE =new HighValue("4","存在质押记录的有效发明专利");
//	public static HighValue HIGH_PLEDGE =new HighValue("4","获得较高质押融资金额的有效发明专利");//high_pledge
	public static HighValue TECHNOLOGY_AWARD=new HighValue("5","获得国家科技奖或中国专利奖的有效发明专利");//technology_award
	

	public HighValue(String typeId,String typeName) {
		this.typeId = typeId;
		this.typeName = typeName;
		ALL.put(typeId, this);
	}
	
	
	public static String getAllTypeIdStr() {
		return "1,2,3,4,5";
	}



	public static HighValue valueOf(String typeId) {
		return ALL.get(typeId);
	}

	public String getTypeId() {
		return typeId;
	}




	public void setTypeId(String typeId) {
		this.typeId = typeId;
	}




	public String getTypeName() {
		return typeName;
	}




	public void setTypeName(String typeName) {
		this.typeName = typeName;
	}
	
	
	

}
